# $Revision: 1.22 $, $Date: 2004/12/31 09:37:19 $
#
# Conditional build:
%bcond_without	xinitrc	# don't use xinitrc's directory
#
Summary:	GnuPG extension - agent
Summary(pl):	Rozszerzenie GnuPG - agent
Name:		gnupg-agent
Version:	1.9.14
Release:	1
License:	GPL
Group:		Applications/File
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/gnupg-%{version}.tar.gz
# Source0-md5:	72b56586392c7be6668df4ef8ea7c879
Source1:	gnupg-agent.sh
Icon:		gnupg.gif
URL:		http://www.gnupg.org/
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.12.1
BuildRequires:	libassuan-devel >= 1:0.6.9
BuildRequires:	libgcrypt-devel >= 1.1.93
BuildRequires:	libgpg-error-devel >= 0.6
BuildRequires:	libksba-devel >= 0.9.7
BuildRequires:	pcsc-lite-devel
BuildRequires:	opensc-devel >= 0.8.0
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Requires:	gnupg
Requires:	pinentry
%{?with_xinitrc:Requires: xinitrc}
Obsoletes:	newpg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/gnupg

%description
GnuPG extension - agent.

%description -l pl
Rozszerzenie GnuPG - agent.

%prep
%setup -q -n gnupg-%{version}

%build
cp -f /usr/share/automake/config.* scripts
%configure \
	--disable-gpg \
	--with-capabilities \
%ifarch sparc sparc64
	--disable-m-guard \
%else
	--enable-m-guard \
%endif
	--without-included-gettext \
	--disable-m-debug \
	--with-mailprog=/usr/lib/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/profile.d
%{?with_xinitrc:install -d $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf gpg2 $RPM_BUILD_ROOT%{_bindir}/gpg
install %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/%{name}.sh
%{?with_xinitrc:ln -sf /etc/profile.d/%{name}.sh $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/%{name}.sh}

%find_lang gnupg2

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f gnupg2.lang
%defattr(644,root,root,755)
%doc agent/ChangeLog
%attr(755,root,root) %{_bindir}/gpg-agent
%attr(755,root,root) %{_bindir}/gpgconf
%attr(755,root,root) %{_bindir}/gpgsm
%attr(755,root,root) %{_bindir}/gpgsm-gencert.sh
%attr(755,root,root) %{_bindir}/kbxutil
%attr(755,root,root) %{_bindir}/sc-copykeys
%attr(755,root,root) %{_bindir}/scdaemon
%attr(755,root,root) %{_bindir}/watchgnupg
%attr(755,root,root) %{_sbindir}/addgnupghome
%attr(755,root,root) %{_libdir}/gnupg/gpg-protect-tool
%attr(755,root,root) %{_libdir}/gnupg/gpg-preset-passphrase
%attr(755,root,root) %{_libdir}/gnupg/pcsc-wrapper
%attr(755,root,root) /etc/profile.d/%{name}.sh
%{?with_xinitrc:%attr(755,root,root) /etc/X11/xinit/xinitrc.d/%{name}.sh}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnupg-agent.spec,v $
Revision 1.22  2004/12/31 09:37:19  wiget
- updated to 1.9.14

Revision 1.21  2004/12/03 23:01:34  qboosh
- updated to 1.9.13 (minor cleanups)

Revision 1.20  2004/10/26 21:57:49  qboosh
- updated to 1.9.12, removed obsolete max_cache_ttl patch

Revision 1.19  2004/10/19 00:01:42  arekm
- updated to 1.9.11; added missing binaries (gpgconf, watchgnupg, addgnupghome)

Revision 1.18  2004/09/12 05:13:57  twittner
- added -max_cache_ttl.patch (bconded with max_cache_ttl for tests) which
  introduced max-cache-ttl option (instead of 1h hardwired limit) - see:
  http://marc.theaimsgroup.com/?l=gnupg-devel&m=109300087831144&w=2
- patch is not taken directly - contain maintainer modifications.

Revision 1.17  2004/09/04 09:57:57  twittner
- s|/etc/profile.d/GPG_AGENT_INFO|/etc/profile.d/gnupg-agent.sh|
  back to sane name
- rel. 3

Revision 1.16  2004/08/26 09:50:58  radek
- %doc agent/ChangeLog

Revision 1.15  2004/08/09 18:50:49  arekm
- rel 2 (fixed gnupg-agent.sh)

Revision 1.14  2004/08/06 17:52:17  qboosh
- restored changelog after "revert"

Revision 1.13  2004/08/06 00:19:51  arekm
- revert

Revision 1.12  2004/08/04 19:16:01  arekm
- moved gnupg-agent.sh from profile.d to env.d

Revision 1.11  2004/07/29 13:12:42  twittner
- removed BR: gdbm-devel (seems no longer needed)
- fixed insane name: gnupg-agent-agent.sh -> gnupg-agent.sh
- added bcond_without xinitrc and cond. R: xinitrc to avoid
  orphaned directories

Revision 1.10  2004/07/24 12:03:04  twittner
- removed asteriskes from previous changelog entry (it seems they have special
  meaning for rpm).

Revision 1.9  2004/07/24 11:56:57  twittner
- some BRs updated - configure said:
 You need libassuan to build this program.
 (at least version 0.6.6 is required).
 You need libksba to build this program.
 (at least version 0.9.7 is required).

Revision 1.8  2004/07/24 00:13:32  qboosh
- updated to 1.9.10, removed obsolete typo fix

Revision 1.7  2004/06/22 05:43:13  qboosh
- updated to 1.9.9

Revision 1.6  2004/05/23 09:43:37  qboosh
- updated to 1.9.8

Revision 1.5  2004/04/22 21:11:43  qboosh
- updated to 1.9.7

Revision 1.4  2004/03/22 07:01:25  ankry
- cosmetics

Revision 1.3  2004/03/21 19:36:12  arekm
- fix amd64

Revision 1.2  2004/03/21 19:30:02  arekm
- fix amd64

Revision 1.1  2004/03/21 19:21:28  arekm
- new, for AC
